"use client";
import { useState } from "react";

import { OverlayContainer } from "components/editor/tools/common/overlayContainer";
import { Toolbar } from "components/editor/tools/toolbar";

import styles from "./page.module.scss";

export default function Page() {
    const [overlayContainer, setOverlayContainer] = useState<HTMLElement>(null);
    return (
        <div className={styles.main}>
            <Toolbar />
            <OverlayContainer />
        </div>
    );
}
