# Testing the database layer


To test the database and service layer, we start a test database similar to the production database and run the tests against it. The database
is started using the `docker-compose` command. The `docker-compose` command reads the `docker-compose.yml` file and starts the database. We wait for it to start and then run the migration scripts to create the tables, we than seed the database with some test data. We then run the tests and finally tear down the database.



## Requirements

- [Docker](https://www.docker.com/)
- [Docker Compose](https://docs.docker.com/compose/)

- [Python](https://www.python.org/)