-- Simple initial setup

CREATE DATABASE IF NOT EXISTS snip_data;
CREATE DATABASE IF NOT EXISTS snip_perms;
CREATE DATABASE IF NOT EXISTS snip_dbinfo;



-- Create user
CREATE USER IF NOT EXISTS 'snip'@'%' IDENTIFIED BY 'snip';

-- Grant permissions to the snip user

GRANT ALL PRIVILEGES ON snip_data.* TO 'snip'@'%';
GRANT ALL PRIVILEGES ON snip_perms.* TO 'snip'@'%';
GRANT ALL PRIVILEGES ON snip_dbinfo.* TO 'snip'@'%';
FLUSH PRIVILEGES;
